gr::mapper::preamble_strip_impl Class Reference

`#include <preamble_strip_impl.h>`

Inheritance diagram for gr::mapper::preamble_strip_impl:
[legend]

## Public Member Functions

| preamble_strip_impl (int user_len, const std::vector< uint8_t > &preamble)
| ~preamble_strip_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::mapper::preamble_strip
typedef boost::shared_ptr< preamble_strip > | sptr
Static Public Member Functions inherited from gr::mapper::preamble_strip
static sptr | make (int user_len, const std::vector< uint8_t > &preamble)
| Return a shared_ptr to a new instance of mapper::preamble_strip.

## Constructor & Destructor Documentation

## preamble_strip_impl()

gr::mapper::preamble_strip_impl::preamble_strip_impl | ( | int | user_len,
|  | const std::vector< uint8_t > & | preamble
| ) |  |

## ~preamble_strip_impl()

gr::mapper::preamble_strip_impl::~preamble_strip_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::mapper::preamble_strip_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::mapper::preamble_strip_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- preamble_strip_impl.h